/*****************************************
 * Large Assignment 1: L-Systems
 * Name:    Atah Omar
 * E-mail:  aomar1@unm.edu
 * Course:      CS491, Computational Fabrication
 * Submitted:    9/14/23
 *
 * This program includes multiple rules for L-System designs
* To draw the Rose Bush, change rules variable name to rulesRoseBush
* To draw the Long Plant, change rules variable name to rulesLongPlant
* To draw the Sunflower, change rules variable name to rulesSunflower
***********************************************/

import Turtle.*;
Lsystem l;
Turtle t;

void setup(){
  size(900,700);
  background(#FFFFFF);
  stroke(255);
  l = new Lsystem(10,30,1);
  t = new Turtle(this);
  frameRate(1);
}

void draw(){
  t.setX(width/2);
  t.setY(height-10);
  background(#FFFFFF);
  l.drawLsystem(t);
  l.iteration();
}

void keyPressed(){
  if(key == ' '){
     String filename = "Lsystem"+(int)random(0,100)+".png";
     save(filename);
     println("Saved");
  }
}
